<div class="login-block">
  <h1>Login</h1>
  <p class="info-message">{{errorMessage}}</p>
  <form (submit)="login()">
    <p><input type="text"
              [(ngModel)]="username"
              name="username"
              placeholder="Username"
              required>
    </p>
    <p><input type="password"
              [(ngModel)]="password"
              name="password"
              placeholder="Password"
              required>
    </p>
    <p><button type="submit">Login</button></p>
    <div class="info-message">
      Don't have an account? Register <a (click)="gotoRegister()">here</a>.
    </div>
  </form>
</div>
